* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* min nav bar  */

.navbar {
  overflow: hidden;
  background-color: #012030;
  width: fit-content;
  /* margin: auto; */
}

.navbar a {
  float: left;
  font-size: 16px;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  margin: auto;
}

.subnav {
  float: left;
  overflow: hidden;
}

.subnav .subnavbtn {
  font-size: 16px;
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  margin: 0;
  background-color: #012030;
}

.navbar a:hover,
.subnav:hover .subnavbtn {
  background-color: #13678A;
  color: black;
}

.subnav-content {
  display: none;
  position: absolute;
  left: 0;
  background-color: #13678A;
  width: 100%;
  z-index: 1;
  width: 100%;
}

.subnav-content a {
  float: left;
  color: white;
  text-decoration: none;
}

.subnav-content a:hover {
  background-color: #eee;
  color: black;
}

.subnav:hover .subnav-content {
  display: block;
}


/* Darkmode */
.button1 {
  background-color: #012030;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

body {
  background-color: white;
}

.darkmode {
  background-color: gray;
  color: black;
  filter: grayscale(100%);
}

/* parallax  */
.parallax {
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 700px;
}


p {
  font-family: 'Noto Serif', serif;

}

.bild1 {
  background-image: url("../img/imgp1.jpg");
  width: 100%;
}

.bild2 {
  background-image: url("../img/imgp2.jpg");
}

.bild3 {
  background-image: url("../img/imgp3.jpg");
}

.bild4 {
  background-image: url("../img/imgstrand8.jpg");
}



/* inhåll */

#gridWrapper {
  border: black solid 5px;
  border-bottom: none;
  border-top: none;
  display: grid;
  grid-template-rows: 50px repeat(6, 1fr);
  grid-template-areas:
    " navbar "
    " slide "
    " zzx "
    " zzx "
    " zzx "
    " zzx "
    "footer";
}

header {
  grid-area: header;
}

nav {
  grid-area: navbar;
  background-color: #012030;
  position: relative;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

.slideshow-container {
  grid-area: slide;
  width: 100%;
  max-width: 700px;
}

.zz {
  padding-top: 50px;
  grid-area: zzx;
  display: grid;
  grid-template-rows: repeat(4, 1fr);
  row-gap: 50px;
  grid-template-areas:
    "zs1"
    "zs2"
    "zs3"
    "zs4";

}


footer {

  border: solid thick black;
  border-right: none;
  border-left: none;
  border-bottom: none;
  grid-area: footer;
  background-color: #f2f2f2;
  text-align: center;
}

footer p {
  margin: 0;
  font-size: 14px;
}

footer ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

footer li {
  display: inline-block;
  margin: 0;
}

footer a {
  color: #555;
  text-decoration: none;
  font-size: 14px;
}

footer a:hover {
  color: #000;
}


#z1 {
  grid-area: zs1;
}

#z2 {
  grid-area: zs2;
}

#z3 {
  grid-area: zs3;
}

#z4 {
  grid-area: zs4;
}

h3 {
  text-align: center;
}

footer {
  grid-area: footer;
}

.textz {
  border: black solid 5px;
  background-color: white;
  max-width: 1070px;
  padding: 10px;
  border-left: none;
  border-right: none;
}

.z {
  max-width: 1070px;
  margin: auto;
}

/* breakpoint */

@media only screen and (max-width:680px) {
  .parallax {
    background-size: contain;
  }

}

@media only screen and (min-width: 1024px) {
  #gridWrapper {
    display: grid;
    grid-template-rows: 50px 650px repeat(4, 1fr) 100px;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
      " navbar navbar"
      " slide slide"
      " zzx zzx"
      " zzx zzx"
      " zzx zzx"
      " zzx zzx"
      "footer footer";
  }

  .zz {
    display: grid;
    grid-template-rows: repeat(4, 1fr);
    grid-template-areas:
      "zs1"
      "zs2"
      "zs3"
      "zs4";

  }

  .slideshow-container {
    width: 100%;
  }

  #slideshow-container1 {
    width: 70%;
  }

  .parallax {
    background-size: cover;
  }
}

@media only screen and (max-width: 1730px) {
  .parallax {
    background-size: cover;
  }
}

/* slideshow  */




.slideshow-container {
  position: relative;
  margin: auto;
  padding-top: 50px;
}

.fadeimg {
  width: 100%;
  max-width: 812px;
}


.mySlides {
  display: none;
  max-width: 812px;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}


.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}


.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}


.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active,
.dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: .4
  }

  to {
    opacity: 1
  }
}